Subject: Re: Converting to Git using svn-fe (Was: Speeding up the initial git-svn fetch)

From: Ramkumar Ramachandra <[email-masked]>
Date: Tue, 19 Oct 2010 08:38:17 +0530

Jonathan Nieder writes:
> Sverre Rabbelier wrote:
> 
> > Does the replay API somehow indicate that a revision changed since
> > last time you looked?
> 
> Good question.  Ram, I think there was some discussion of this
> recently in connection with svnrdump, right?  IIRC the suggested
> method was to use hooks or mine a commits@ mailing list. :(

Yep. There's really no way to determine if a revision changed. Atleast
we can be happy that it's just the revprops that change- replace refs
are a great solution when we can tell if something changed. Frankly, I
haven't thought about how to solve this yet -- I'll comment after
looking at the later emails in the thread.

-- Ram